Bug 229201 - org.openide.filesystems.AbstractFolder.getFileObjectImpl: LowPerformance took 24545 ms.
org.openide.filesystems.AbstractFolder.getFileObjectImpl: LowPerformance took...
Status: RESOLVED WONTFIX
Product: javaee
Classification: Unclassified
Component: CDI
7.2
All All
: P3 (vote)
: 8.1
Assigned To: Sergey Petrov
issues@javaee
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-30 10:52 UTC by Exceptions Reporter
Modified: 2016-07-07 08:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (35.10 KB, application/nps)
2013-04-30 10:52 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2013-04-30 10:52:47 UTC
Build: NetBeans IDE 7.2.1 (Build 201210100934)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.6-b04, Java(TM) SE Runtime Environment, 1.7.0_10-b18
OS: Windows 7

User Comments:
mug896: mouse point to Tools -> Plugins menu



Maximum slowness yet reported was 24545 ms, average is 12020
Comment 1 Exceptions Reporter 2013-04-30 10:52:48 UTC
Created attachment 133970 [details]
nps snapshot
Comment 2 Jaroslav Havlin 2013-07-19 14:24:38 UTC
Some actions from package org.netbeans.modules.web.beans.navigation.actions are waiting for some FileObject operations in EDT.

This cannot be probably fixed in filesystem.
Reassigning to JavaEE/CDI. Please evaluate. Thank you.
Comment 3 Sergey Petrov 2013-07-19 16:02:25 UTC
I see only 1 report with org.netbeans.modules.web.beans.navigation.actions.
Move others away from the issue.
Comment 4 Martin Balin 2016-07-07 08:54:50 UTC
This old bug may not be relevant anymore. If you can still reproduce it in 8.2 development builds please reopen this issue.

Thanks for your cooperation,
NetBeans IDE 8.2 Release Boss


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo